<?xml version="1.0" encoding="UTF-8"?>
<AuthTokenRequest xmlns="http://ksef.mf.gov.pl/auth/token/2.0">
	<Challenge>{{challenge}}</Challenge>
	<ContextIdentifier>
		<Nip>{{nip}}</Nip>
	</ContextIdentifier>
	<SubjectIdentifierType>certificateSubject</SubjectIdentifierType>
	<Signature xmlns="http://www.w3.org/2000/09/xmldsig#" Id="Signature">
		<SignedInfo>
			<CanonicalizationMethod Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#"/>
			<SignatureMethod Algorithm="{{signatureMethod}}"/>
			<Reference URI="">
				<Transforms>
					<Transform Algorithm="http://www.w3.org/2000/09/xmldsig#enveloped-signature"/>
					<Transform Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#"/>
				</Transforms>
				<DigestMethod Algorithm="http://www.w3.org/2001/04/xmlenc#sha256"/>
				<DigestValue/>
			</Reference>
			<Reference Type="http://uri.etsi.org/01903#SignedProperties" URI="#SignedProperties">
				<Transforms>
					<Transform Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#"/>
				</Transforms>
				<DigestMethod Algorithm="http://www.w3.org/2001/04/xmlenc#sha256"/>
				<DigestValue/>
			</Reference>
		</SignedInfo>
		<SignatureValue/>
		<KeyInfo>
			<X509Data>
				<X509Certificate/>
			</X509Data>
		</KeyInfo>
		<Object>
			<xades:QualifyingProperties xmlns:xades="http://uri.etsi.org/01903/v1.3.2#" xmlns="http://www.w3.org/2000/09/xmldsig#" Target="#Signature">
				<xades:SignedProperties Id="SignedProperties">
					<xades:SignedSignatureProperties>
						<xades:SigningTime>{{signingTime}}</xades:SigningTime>
						<xades:SigningCertificate>
							<xades:Cert>
								<xades:CertDigest>
									<DigestMethod Algorithm="http://www.w3.org/2001/04/xmlenc#sha256"/>
									<DigestValue>{{digest}}</DigestValue>
								</xades:CertDigest>
								<xades:IssuerSerial>
									<X509IssuerName>{{issuer}}</X509IssuerName>
									<X509SerialNumber>{{serial}}</X509SerialNumber>
								</xades:IssuerSerial>
							</xades:Cert>
						</xades:SigningCertificate>
					</xades:SignedSignatureProperties>
				</xades:SignedProperties>
			</xades:QualifyingProperties>
		</Object>
	</Signature>
</AuthTokenRequest>